netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dir_modify_args Struct Reference

Parameters for dir_modify() selective field updates. More...

`#include <directory.h>`

## Data Fields
unsigned int | flags
cnid_t | new_pdid
const char * | new_mname
const char * | new_uname
bstring | new_pdir_path
struct stat * | st
struct adouble * | adp

## Detailed Description

Parameters for dir_modify() selective field updates.

Callers set flags to indicate which field groups to update. Only fields corresponding to set DCMOD_* flags are read.

## Field Documentation

## ◆ adp

struct adouble* dir_modify_args::adp

AD data to store (DCMOD_AD, Phase 2)

## ◆ flags

unsigned int dir_modify_args::flags

DCMOD_* bitmask

## ◆ new_mname

const char* dir_modify_args::new_mname

New mac name, NULL = use new_uname (DCMOD_PATH)

## ◆ new_pdid

cnid_t dir_modify_args::new_pdid

New parent DID (DCMOD_PATH)

## ◆ new_pdir_path

bstring dir_modify_args::new_pdir_path

New parent directory fullpath (DCMOD_PATH)

## ◆ new_uname

const char* dir_modify_args::new_uname

New unix name (DCMOD_PATH)

## ◆ st

struct stat* dir_modify_args::st

Fresh stat result (DCMOD_STAT)

The documentation for this struct was generated from the following file:

- etc/afpd/directory.h